aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2019-03-11 12:10:41 +0200
committerMart Raudsepp <leio@gentoo.org>2019-03-11 12:10:41 +0200
commit7f136f9068bc9a606d8f63cb9b630d98030d311e (patch)
treed8f11b44541ffc8ca2c9d6934487e2c666885335
parentapp-editors/latexila: fix minor problems (diff)
downloadgnome-7f136f9068bc9a606d8f63cb9b630d98030d311e.tar.gz
gnome-7f136f9068bc9a606d8f63cb9b630d98030d311e.tar.bz2
gnome-7f136f9068bc9a606d8f63cb9b630d98030d311e.zip
gnome-extra/gnome-boxes: remove releases (in ::gentoo), blind sync live
Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
-rw-r--r--gnome-extra/gnome-boxes/Manifest2
-rw-r--r--gnome-extra/gnome-boxes/gnome-boxes-3.28.5.ebuild101
-rw-r--r--gnome-extra/gnome-boxes/gnome-boxes-3.30.3.ebuild106
-rw-r--r--gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild53
4 files changed, 31 insertions, 231 deletions
diff --git a/gnome-extra/gnome-boxes/Manifest b/gnome-extra/gnome-boxes/Manifest
deleted file mode 100644
index 9f8101ba..00000000
--- a/gnome-extra/gnome-boxes/Manifest
+++ /dev/null
@@ -1,2 +0,0 @@
-DIST gnome-boxes-3.28.5.tar.xz 793144 BLAKE2B 0057f02ccf0c9ce222e9117d772fa9c20f161d07c494d729810a6353a579028f2ec460bbbc69c19ec31ce14b55f36efac56aecb5b0776f8e886b9c56b22a6b9e SHA512 c4edb5744b24073f9d8b7dda75bf497e4920fde78e5a3853350b999c70e6f34e0f684585bb7e8cf8ecc5b2ff7d705d7827ecf27bad20d10eb3f534504bf041cd
-DIST gnome-boxes-3.30.3.tar.xz 1198224 BLAKE2B 1c65d3f051d32dc85284da4d392e3ec418edf028b61f1166173ac6ced3e6cba687b297ea135a4e54058c561eb5fe69d767e9ee698fb6b16f6bd4cd09b00d5c3a SHA512 fc8a06bb8c71356d50002468f7722aee14abe8432ccce319ada3032746b53eb2f679a93f991c04ae34832a315fc95d561ffc169c4560a23573c046705b5446b4
diff --git a/gnome-extra/gnome-boxes/gnome-boxes-3.28.5.ebuild b/gnome-extra/gnome-boxes/gnome-boxes-3.28.5.ebuild
deleted file mode 100644
index ce8c49a7..00000000
--- a/gnome-extra/gnome-boxes/gnome-boxes-3.28.5.ebuild
+++ /dev/null
@@ -1,101 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-VALA_USE_DEPEND="vapigen"
-VALA_MIN_API_VERSION="0.36"
-
-inherit gnome.org gnome2-utils linux-info meson readme.gentoo-r1 vala xdg
-
-DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
-HOMEPAGE="https://wiki.gnome.org/Apps/Boxes"
-
-LICENSE="LGPL-2"
-SLOT="0"
-IUSE=""
-
-KEYWORDS="~amd64"
-
-# NOTE: sys-fs/* stuff is called via exec()
-# FIXME: ovirt is not available in tree
-# FIXME: qemu probably needs to depend on spice[smartcard]
-# directly with USE=spice
-# gtk-vnc raised due to missing vala bindings in earlier ebuilds
-COMMON_DEPEND="
- >=app-arch/libarchive-3:=
- >=dev-libs/glib-2.52:2
- >=x11-libs/gtk+-3.22.20:3
- >=net-libs/gtk-vnc-0.8.0-r1[gtk3(+),vala]
- >=sys-libs/libosinfo-1.1.0[vala]
- app-crypt/libsecret[vala]
- >=net-libs/libsoup-2.44:2.4
- virtual/libusb:1
- >=app-emulation/libvirt-glib-0.2.3[vala]
- >=dev-libs/libxml2-2.7.8:2
- >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir,vala]
- >=app-misc/tracker-2:0=
- net-libs/webkit-gtk:4
- >=virtual/libgudev-165:=
-"
-DEPEND="${COMMON_DEPEND}
- $(vala_depend)
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
-"
-RDEPEND="${COMMON_DEPEND}
- >=app-misc/tracker-miners-2[iso]
- app-emulation/spice[smartcard]
- >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
- >=app-emulation/qemu-1.3.1[spice,smartcard,usbredir]
- sys-fs/mtools
-"
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM modules.
-If you have an Intel Processor, run:
-# modprobe kvm-intel
-
-If you have an AMD Processor, run:
-# modprobe kvm-amd"
-
-pkg_pretend() {
- linux-info_get_any_version
-
- if linux_config_exists; then
- if ! { linux_chkconfig_present KVM_AMD || \
- linux_chkconfig_present KVM_INTEL; }; then
- ewarn "You need KVM support in your kernel to use GNOME Boxes!"
- fi
- fi
-}
-
-src_prepare() {
- vala_src_prepare
- xdg_src_prepare
-}
-
-src_configure() {
- local emesonargs=(
- -Dovirt=false
- )
- meson_src_configure
-}
-
-src_install() {
- meson_src_install
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- xdg_pkg_postinst
- gnome2_schemas_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}
-
-pkg_postrm() {
- xdg_pkg_postrm
- gnome2_schemas_update
- gnome2_icon_cache_update
-}
diff --git a/gnome-extra/gnome-boxes/gnome-boxes-3.30.3.ebuild b/gnome-extra/gnome-boxes/gnome-boxes-3.30.3.ebuild
deleted file mode 100644
index 91ae4e3a..00000000
--- a/gnome-extra/gnome-boxes/gnome-boxes-3.30.3.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-VALA_USE_DEPEND="vapigen"
-VALA_MIN_API_VERSION="0.36"
-
-inherit gnome.org gnome2-utils linux-info meson readme.gentoo-r1 vala xdg
-
-DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
-HOMEPAGE="https://wiki.gnome.org/Apps/Boxes"
-
-LICENSE="LGPL-2"
-SLOT="0"
-IUSE="rdp"
-
-KEYWORDS="~amd64"
-
-# NOTE: sys-fs/* stuff is called via exec()
-# FIXME: ovirt is not available in tree
-# FIXME: qemu probably needs to depend on spice[smartcard]
-# directly with USE=spice
-# gtk-vnc raised due to missing vala bindings in earlier ebuilds
-COMMON_DEPEND="
- >=app-arch/libarchive-3:=
- >=dev-libs/glib-2.52:2
- >=x11-libs/gtk+-3.22.20:3
- >=net-libs/gtk-vnc-0.8.0-r1[gtk3(+),vala]
- >=sys-libs/libosinfo-1.1.0[vala]
- app-crypt/libsecret[vala]
- >=net-libs/libsoup-2.44:2.4
- virtual/libusb:1
- >=app-emulation/libvirt-glib-0.2.3[vala]
- >=dev-libs/libxml2-2.7.8:2
- >=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir,vala]
- >=app-misc/tracker-2:0=
- net-libs/webkit-gtk:4
- >=virtual/libgudev-165:=
- >=dev-libs/gobject-introspection-1:=
- rdp? ( net-misc/freerdp )
-"
-DEPEND="${COMMON_DEPEND}
- $(vala_depend)
- dev-util/itstool
- >=sys-devel/gettext-0.19.8
- virtual/pkgconfig
-
- >=dev-util/meson-0.47.0
-"
-RDEPEND="${COMMON_DEPEND}
- >=app-misc/tracker-miners-2[iso]
- app-emulation/spice[smartcard]
- >=app-emulation/libvirt-0.9.3[libvirtd,qemu]
- >=app-emulation/qemu-1.3.1[spice,smartcard,usbredir]
- sys-fs/mtools
-"
-
-DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM modules.
-If you have an Intel Processor, run:
-# modprobe kvm-intel
-
-If you have an AMD Processor, run:
-# modprobe kvm-amd"
-
-pkg_pretend() {
- linux-info_get_any_version
-
- if linux_config_exists; then
- if ! { linux_chkconfig_present KVM_AMD || \
- linux_chkconfig_present KVM_INTEL; }; then
- ewarn "You need KVM support in your kernel to use GNOME Boxes!"
- fi
- fi
-}
-
-src_prepare() {
- vala_src_prepare
- xdg_src_prepare
-}
-
-src_configure() {
- local emesonargs=(
- $(meson_use rdp)
- -Dovirt=false
- )
- meson_src_configure
-}
-
-src_install() {
- meson_src_install
- readme.gentoo_create_doc
-}
-
-pkg_postinst() {
- xdg_pkg_postinst
- gnome2_schemas_update
- gnome2_icon_cache_update
- readme.gentoo_print_elog
-}
-
-pkg_postrm() {
- xdg_pkg_postrm
- gnome2_schemas_update
- gnome2_icon_cache_update
-}
diff --git a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild b/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
index 26677782..83c5a0c0 100644
--- a/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
+++ b/gnome-extra/gnome-boxes/gnome-boxes-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -15,56 +15,63 @@ fi
DESCRIPTION="Simple GNOME 3 application to access remote or virtual systems"
HOMEPAGE="https://wiki.gnome.org/Apps/Boxes"
-LICENSE="LGPL-2"
+LICENSE="LGPL-2+ CC-BY-2.0"
SLOT="0"
IUSE="rdp"
-if [[ ${PV} = 9999 ]]; then
- KEYWORDS=""
-else
+if [[ ${PV} != 9999 ]]; then
KEYWORDS="~amd64" # qemu-kvm[spice] is 64bit-only
fi
-# NOTE: sys-fs/* stuff is called via exec()
-# FIXME: ovirt is not available in tree
-# FIXME: qemu probably needs to depend on spice[smartcard]
-# directly with USE=spice
+# FIXME: ovirt is not available in tree; though it seems the gnome-boxes ovirt broker is too buggy atm anyways (would need rest[vala] as well)
+# FIXME: qemu probably needs to depend on spice[smartcard] directly with USE=spice
+# FIXME: Check over libvirt USE=libvirtd,qemu and the smartcard/usbredir requirements
+# Technically vala itself still ships a libsoup vapi, but that may change, and it should be better to use the .vapi from the same libsoup version
# gtk-vnc raised due to missing vala bindings in earlier ebuilds
COMMON_DEPEND="
>=app-arch/libarchive-3:=
>=dev-libs/glib-2.52:2
- >=x11-libs/gtk+-3.22.20:3
+ >=dev-libs/gobject-introspection-1.54:=
+ >=x11-libs/gtk+-3.22.20:3[introspection]
>=net-libs/gtk-vnc-0.8.0-r1[gtk3(+),vala]
>=sys-libs/libosinfo-1.1.0[vala]
app-crypt/libsecret[vala]
- >=net-libs/libsoup-2.44:2.4
+ >=net-libs/libsoup-2.44:2.4[vala]
virtual/libusb:1
>=app-emulation/libvirt-glib-0.2.3[vala]
>=dev-libs/libxml2-2.7.8:2
>=net-misc/spice-gtk-0.32[gtk3(+),smartcard,usbredir,vala]
- >=app-misc/tracker-2:0=
+ app-misc/tracker:0/2.0
net-libs/webkit-gtk:4
>=virtual/libgudev-165:=
- >=dev-libs/gobject-introspection-1:=
- rdp? ( net-misc/freerdp )
+ rdp? ( net-misc/freerdp:= )
"
DEPEND="${COMMON_DEPEND}
$(vala_depend)
+ dev-libs/appstream-glib
dev-util/itstool
>=sys-devel/gettext-0.19.8
virtual/pkgconfig
-
- >=dev-util/meson-0.47.0
"
+# These are called via exec():
+# sys-fs/mtools mcopy for unattended file copying for files that libarchive doesn't support
+# virtual/cdrtools mkisofs is needed for unattended installer secondary disk image creation
+# app-emulation/libguestfs virt-sysprep is used for VM cloing, if not there, it logs debug and doesn't function
+# sys-apps/policycoreutils restorecon is used for checking selinux context
+# app-emulation/libvirt virsh used for various checks (and we need the library anyways)
+# sys-auth/polkit used for making all libvirt system disks readable via "pkexec chmod a+r" that aren't already readable to the user (libvirt system importer)
+# app-emulation/qemu qemu-img used to convert image to QCOW2 format during copy
RDEPEND="${COMMON_DEPEND}
>=app-misc/tracker-miners-2[iso]
app-emulation/spice[smartcard]
>=app-emulation/libvirt-0.9.3[libvirtd,qemu]
>=app-emulation/qemu-1.3.1[spice,smartcard,usbredir]
sys-fs/mtools
+ virtual/cdrtools
+ sys-auth/polkit
"
DISABLE_AUTOFORMATTING="yes"
-DOC_CONTENTS="Before running gnome-boxes, you will need to load the KVM modules.
+DOC_CONTENTS="Before running gnome-boxes for local VMs, you will need to load the KVM modules.
If you have an Intel Processor, run:
# modprobe kvm-intel
@@ -77,20 +84,24 @@ pkg_pretend() {
if linux_config_exists; then
if ! { linux_chkconfig_present KVM_AMD || \
linux_chkconfig_present KVM_INTEL; }; then
- ewarn "You need KVM support in your kernel to use GNOME Boxes!"
+ ewarn "You need KVM support in your kernel to use GNOME Boxes local VM support!"
fi
fi
}
src_prepare() {
- vala_src_prepare
xdg_src_prepare
+ vala_src_prepare
}
src_configure() {
local emesonargs=(
- $(meson_use rdp)
+ -Ddistributor_name=Gentoo
-Dovirt=false
+ $(meson_use rdp)
+ -Dinstalled_tests=false
+ -Dflatpak=false
+ -Dprofile=default
)
meson_src_configure
}
@@ -103,12 +114,10 @@ src_install() {
pkg_postinst() {
xdg_pkg_postinst
gnome2_schemas_update
- gnome2_icon_cache_update
readme.gentoo_print_elog
}
pkg_postrm() {
xdg_pkg_postrm
gnome2_schemas_update
- gnome2_icon_cache_update
}